stable

mpich-3.4.3-1.fc36 and petsc-3.16.4-2.fc36

FEDORA-2022-4b8bb05d5d created by zbyszek 2 years ago for Fedora 36

Bugfix update to mpich.

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2022-4b8bb05d5d

This update has been submitted for testing by zbyszek.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been pushed to testing.

2 years ago

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

a year ago

The python3-petsc-mpich package wants to downgrade mpich to the previous version

❯ sudo dnf install ./python3-petsc-mpich-3.16.4-2.fc36.x86_64.rpm
Last metadata expiration check: 0:00:55 ago on Sun 08 May 2022 07:47:38 AM EDT.
Dependencies resolved.
=================================================================================================================
Package                         Architecture       Version                       Repository                Size
=================================================================================================================
Installing:
python3-petsc-mpich             x86_64             3.16.4-2.fc36                 @commandline             1.0 M
Installing dependencies:
MUMPS-mpich                     x86_64             5.4.1-2.fc36                  fedora                   1.9 M
hdf5-mpich                      x86_64             1.12.1-5.fc36                 fedora                   2.1 M
hypre-mpich                     x86_64             2.18.2-6.fc36                 fedora                   1.5 M
petsc-mpich                     x86_64             3.16.4-2.fc36                 updates                  6.4 M
ptscotch-mpich                  x86_64             6.1.2-2.fc36                  fedora                   535 k
scalapack-mpich                 x86_64             2.1.0-11.fc36                 fedora                   1.7 M
superlu_dist-mpich              x86_64             1:6.1.1-9.fc36                fedora                   383 k
Downgrading:
mpich                           x86_64             3.4.1-14.fc36                 fedora                   2.7 M
mpich-autoload                  x86_64             3.4.1-14.fc36                 fedora                   8.7 k
mpich-devel                     x86_64             3.4.1-14.fc36                 fedora                   887 k
mpich-doc                       noarch             3.4.1-14.fc36                 fedora                   364 k
python3-mpich                   x86_64             3.4.1-14.fc36                 fedora                   8.8 k

Transaction Summary
=================================================================================================================
Install    8 Packages
Downgrade  5 Packages

petsc-mpich also wants to downgrade mpich

Pfff, this is a complete fuckup on my part. I rebuilt petsc for the new mpich, but somehow it was built against the old one. Since the mpich update has gone stable, I think it should be enough to rebuild petsc again. I started a new build.


Please login to add feedback.

Metadata
Type
enhancement
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
2 years ago
in testing
2 years ago
in stable
a year ago

Automated Test Results